# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Dec 20 07:53:05 2023
# ------------------------------------------------

package:
  name: gevent
  version: 23.9.1
source:
  patches:
    - 0001-Allow-include-flags-to-be-present-in-CFLAGS.patch
    - 0002-Allow-library-flags-to-be-present-in-LDFLAGS.patch
    - 0003-Allow-macro-to-be-present-in-CFLAGS.patch
    - 0004-Drop-isysroot-if-CONDA_BUILD_SYSROOT-is-specified.patch
  sha256: 72c002235390d46f94938a96920d8856d4ffd9ddf62a303a0d7c118894097e34
  url: https://pypi.io/packages/source/g/gevent/gevent-23.9.1.tar.gz
build:
  number: '0'
  script:
    - export GEVENTSETUP_EMBED_LIBEV=0 GEVENTSETUP_EMBED_LIBUV=0 GEVENTSETUP_EMBED_CARES=0
    - /croot/gevent_1703058799376/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
      -m pip install . --no-deps --no-build-isolation --ignore-installed -v
  string: py310h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libmagic 5.39 hf9034f9_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 hfd63f10_1
    - patch 2.7.6 hfd63f10_1001
    - sysroot_linux-aarch64 2.26 h4744778_14
    - zlib 1.2.13 h998d150_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2023.12.12 hd43f75c_0
    - cffi 1.16.0 py310h998d150_0
    - cython 3.0.6 py310h998d150_0
    - greenlet 3.0.1 py310h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libev 4.33 hfd63f10_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libuv 1.44.2 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.12 h2f4d8fa_0
    - pip 23.3.1 py310hd43f75c_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.10.13 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py310hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py310hd43f75c_0
    - xz 5.4.5 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - c-ares >=1.19.1,<2.0a0
    - cffi >=1.12.2
    - greenlet >=2.0.0
    - libev >=4.33,<4.34.0a0
    - libgcc-ng >=11.2.0
    - libuv >=1.44.2,<2.0a0
    - python >=3.10,<3.11.0a0
    - setuptools
    - zope.event
    - zope.interface
test:
  commands:
    - pip check
  imports:
    - gevent
    - gevent.libev
    - gevent.libuv
    - gevent.resolver
  requires:
    - pip
about:
  description: 'Gevent uses greenlet to provide a high-level synchronous API on top
    of the libev event loop.

    '
  dev_url: https://github.com/gevent/gevent
  doc_url: https://www.gevent.org/contents.html
  home: https://www.gevent.org
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Coroutine-based network library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bc01344b-7718-4f17-a817-3bde5dd70649
  recipe-maintainers:
    - nehaljwani
  remote_url: git@github.com:AnacondaRecipes/gevent-feedstock.git
  sha: e6a873005df94014ebda0a3276d357d168625758
